package com.datavirtuality.dv.core.interfaces;

/**
 * @author Dmitry Pogorelov
 * @date 2023.06.13
 */
public enum DVCache {
	OPTION_CACHE("dv-option-cache"),
	VDB_ID_CACHE("dv-vdbid-cache"),
	CONNECTION_STATE_CACHE("dv-connection-state-cache"),
	CONNECTION_MODEL_NODE_CACHE("dv-connection-model-node-cache"),
	SCHEDULER_JOB_RUNNING_COUNT("dv-scheduler-job-running-count"),
	QUERIES_RUNNING_COUNT("dv-queries-running-count"),
	LIMITS_CACHE("dv-dqp-core-user-limits-cache"),
	DISTRIBUTED_LOCK_CACHE("dv-distributed-lock-cache"),
	JOB_QUEUE_CACHE("dv-job-queue-cache"),
	QUEUE_HANDLER_JOB_CACHE("dv-queue-handler-job-cache");

	private final String cacheName;

	DVCache(String cacheName) {
		this.cacheName = cacheName;
	}

	public String getCacheName() {
		return cacheName;
	}
}
